Автор Тема: Як підключити МФУ Canon із серії 4300 - власний досвід  (Прочитано 4170 раз)

Offline drren

  • Newbie
  • *
  • Повідомлень: 7
  • Karma: 0
  • «Ты не такой как все.. Этого не прощают.»
Три дні промучився з підключенням цього пристрою. В мене на роботі Linux Mint Helena - клон Ubuntu 9.10. Тож все по порядку.
Зайдіть на http://software.canon-europe.com/ , в полі "Multifunctionals" виберіть "i-SENSYS MF4010". MF4010 підходить до будь-якого із списку нижче:
  i-SENSYS FAX-L160
  i-SENSYS FAX-L3000IP
  i-SENSYS LBP-3370
  i-SENSYS MF4010
  i-SENSYS MF4120
  i-SENSYS MF4140
  i-SENSYS MF4150
  i-SENSYS MF4270
  i-SENSYS MF4320d
  i-SENSYS MF4330d
  i-SENSYS MF4340d
  i-SENSYS MF4350d
  i-SENSYS MF4370dn
  i-SENSYS MF4380dn
  i-SENSYS MF4660
  i-SENSYS MF4690PL
  i-SENSYS MF6680dn
  i-SENSYS MF8450
  i-SENSYS MF9130
  i-SENSYS MF9170
  LaserBase MF6530
  LaserBase MF6540PL
  LaserBase MF6550
  LaserBase MF6560PL
  LaserBase MF6580PL
  LASER SHOT LBP3360
  Laser Shot LBP3460
  LBP5360
  PC-D450
 Потім вибираємо ОС Linux і англійську мову. В результатах пошуку у нас буде список драйверів. Вибираємо самий свіжий - UFRII/UFRII LT Printer Driver for Linux (1.90). Знизу побачите посилання на файл http://files.canon-europe.com/files/soft35665/software/Canon_UFRII_Linux_V1.90_EN.tar.gz . Зкачуємо його. Відкриваємо розпакований архів та вибираємо одну з папочок "32-bit_Driver" або "64-bit_Driver", в залежності від того, яка система у Вас на компі. Всередині ще 2 директорії "Debian" та "RPM". Звичайно, що вибирайте Debian. В ній 2 файли: "cndrvcups-common_1.90-1_i386.deb" и "cndrvcups-ufr2-uk_1.90-1_i386.deb". В readme директорії написано, що спочатку треба встановити "cndrvcups-common_1.90-1_i386.deb", потім "cndrvcups-ufr2-uk_1.90-1_i386.deb". Після спроби у мене вибило:

# dpkg -i cndrvcups-common_1.90-1_i386.deb
(Читання бази даних ... )
Підготовка до заміни пакета cndrvcups-common 1.90-1 (використовується файл cndrvcups-common_1.90-1_i386.deb) ...
Розпаковується заміна для пакета cndrvcups-common ...
dpkg: залежності пакетів не дозволяють настроїти пакет cndrvcups-common:
cndrvcups-common залежить від libcupsys2 (>= 1.1.23), але:
Пакет libcupsys2 не встановлено.
dpkg: не вдалось обробити параметр cndrvcups-common (--install):
проблеми залежностей -- залишаємо не настроєним
При обробці наступних пакетів виникли помилки:
cndrvcups-common


Не вистачає пакета libcupsys2. Треба його встановити:

# apt-get install libcupsys2
Читання списків пакетів... Готово
Побудування дерева залежностей
Читання інформації про стан... Готово
Пакет libcupsys2 - віртуальний, його функції надаються пакетами:
libcups2 1.4.1-5ubuntu2.1
Ви повинні явно вказати, який саме ви бажаєте встановити.
E: Для пакета libcupsys2 не знайдені кандидати на установку


В репозиторіях цього пакету нема. Тому качаємо libcupsys2_1.3.9-17ubuntu3.4_all.deb звідси http://security.ubuntu.com/ubuntu/pool/universe/c/cups/libcupsys2_1.3.9-17ubuntu3.4_all.deb . Потім його встановлюємо:

# dpkg -i libcupsys2_1.3.9-17ubuntu3.4_all.deb
Вибір раніше не вибраного пакета libcupsys2.
(Читання бази даних ... )
Розпаковується пакет libcupsys2 (з файлу libcupsys2_1.3.9-17ubuntu3.4_all.deb)...
Настроюється пакет libcupsys2 (1.3.9-17ubuntu3.4) ...


Після цього у тій послідовності, як вказано у readme встановлюємо "cndrvcups-common_1.90-1_i386.deb" и "cndrvcups-ufr2-uk_1.90-1_i386.deb" - і все!!! Встановлення драйверів закінчено  ;)! Тепер скористаємося утилітою настройки принтера із закладки "Адміністрування", або виконаємо команду: system-config-printer. Думаю, що далі і так все зрозуміло. Друкує нормально, факси відсилати не пробував. Єдиний мінус - не знайшов драйвера підтримки сканера. Мабуть варто покопирсатися глибше, можливо вже хтось і зробив - тоді поділіться досвідом.
«Добрым словом и пистолетом вы можете добиться гораздо большего, чем одним только добрым словом.»
© Аль Капоне